Source: lalpulsar
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends:
 bc,
 debhelper (>= 9),
 dh-python,
 help2man (>= 1.37),
 libcfitsio3-dev | libcfitsio-dev,
 libfftw3-dev,
 libgsl-dev | libgsl0-dev (>= 1.9),
 liblal-dev (>= @MIN_LAL_VERSION@~),
 liblalframe-dev (>= @MIN_LALFRAME_VERSION@~),
 liblalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
 liblalinference-dev (>= @MIN_LALINFERENCE_VERSION@~),
 pkg-config (>= 0.18.0),
 python3-all-dev,
 python3-astropy,
 python3-lal (>= @MIN_LAL_VERSION@~),
 python3-lalframe (>= @MIN_LALFRAME_VERSION@~),
 python3-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
 python3-lalinference (>= @MIN_LALINFERENCE_VERSION@~),
 python3-numpy (>= @MIN_NUMPY_VERSION@),
 python3-pytest,
 rsync,
 swig (>= @MIN_SWIG_VERSION@) | swig3.0 (>= @MIN_SWIG_VERSION@),
X-Python3-Version: >= 3.5
Standards-Version: 3.9.8

Package: liblalpulsar@LIBMAJOR@
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lalpulsar-data,
Description: LSC Algorithm Library Pulsar
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Pulsar library.
Breaks: lalpulsar (<< 2.1.0-2~)
Replaces: lalpulsar (<< 2.1.0-2~)

Package: liblalpulsar-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libcfitsio3-dev | libcfitsio-dev,
 libfftw3-dev,
 libgsl-dev | libgsl0-dev (>= 1.9),
 liblal-dev (>= @MIN_LAL_VERSION@~),
 liblalframe-dev (>= @MIN_LALFRAME_VERSION@~),
 liblalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
 liblalinference-dev (>= @MIN_LALINFERENCE_VERSION@~),
 liblalpulsar@LIBMAJOR@ (= ${binary:Version}),
Description: LSC Algorithm Library Pulsar Developers
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Pulsar library.
Provides: lalpulsar-dev (= ${binary:Version})
Breaks: lalpulsar-dev (<< 2.1.0-2~)
Replaces: lalpulsar-dev (<< 2.1.0-2~)

Package: lalpulsar-python3
Depends: python3-lalpulsar, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalpulsar-python3 was renamed python3-lalpulsar,
 this is a transitional package, it can safely be removed.

Package: python3-lalpulsar
Section: python
Replaces: lalpulsar-python3 (<< 1.16.0.1-1~)
Breaks: lalpulsar-python3 (<< 1.16.0.1-1~)
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 liblalpulsar@LIBMAJOR@ (= ${binary:Version}),
 python3-astropy,
 python3-lal (>= @MIN_LAL_VERSION@~),
 python3-lalframe (>= @MIN_LALFRAME_VERSION@~),
 python3-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
 python3-lalinference (>= @MIN_LALINFERENCE_VERSION@~),
Description: Python 3 bindings for LALPulsar.
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package contains Python 3 bindings for the LAL Pulsar library.

Package: lalpulsar
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 liblalpulsar@LIBMAJOR@ (= ${binary:Version}),
 python3-lalpulsar (= ${binary:Version}),
 lalpulsar-data,
Description: LSC Algorithm Library Pulsar
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package provides the runtime tools.

Package: lalpulsar-data
Architecture: all
Depends: ${misc:Depends}
Description: LSC Algorithm Library Pulsar
 The LSC Algorithm Pulsar Library for gravitational wave data analysis.
 This package provides the data files.
Replaces: liblalpulsar23 (<< 3.1.2.1-1~)
Breaks: liblalpulsar23 (<< 3.1.2.1-1~)
